GuideLab API

Update draft order

Updates an existing draft order's fields and optionally replaces all line items. Only the draft creator can update it. Supports updating wizard state for multi-step order flows.

PATCH
/orders/drafts/{id}

Updates an existing draft order's fields and optionally replaces all line items. Only the draft creator can update it. Supports updating wizard state for multi-step order flows.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Path Parameters

id*string

Draft order ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PATCH "https://example.com/orders/drafts/550e8400-e29b-41d4-a716-446655440000" \  -H "Content-Type: application/json" \  -d '{}'
{  "success": true}
Empty
Empty
Empty